%define _buildid .5

%global py26nvr python26-lockfile-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-lockfile-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name lockfile

Name: python-lockfile
Version: 0.8
Release: 3%{?_buildid}%{?dist}
Summary: A platform-independent file locking module
Group: Development/Languages
License: MIT
URL: http://pypi.python.org/pypi/%{upstream_name}
Source0: http://smontanaro.dyndns.org/python/%{upstream_name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
The lockfile module exports a FileLock class which provides a simple API for
locking files. Unlike the Windows msvcrt.locking function, the Unix
fcntl.flock, fcntl.lockf and the deprecated posixfile module, the API is
identical across both Unix (including Linux and Mac) and Windows platforms. The
lock mechanism relies on the atomic nature of the link (on Unix) and mkdir (on
Windows) system calls.

%package -n python26-lockfile
Summary: A platform-independent file locking module
BuildRequires: python26-devel
BuildRequires: python26-setuptools
Provides: python-lockfile = %{version}-%{release}
Obsoletes: python-lockfile <= 0.8-3.2.amzn1

%description -n python26-lockfile
The lockfile module exports a FileLock class which provides a simple API for
locking files. Unlike the Windows msvcrt.locking function, the Unix
fcntl.flock, fcntl.lockf and the deprecated posixfile module, the API is
identical across both Unix (including Linux and Mac) and Windows platforms. The
lock mechanism relies on the atomic nature of the link (on Unix) and mkdir (on
Windows) system calls.

This package is meant to be used with Python 2.6.

%package -n python27-lockfile
Summary: A platform-independent file locking module
BuildRequires: python27-devel
BuildRequires: python27-setuptools

%description -n python27-lockfile
The lockfile module exports a FileLock class which provides a simple API for
locking files. Unlike the Windows msvcrt.locking function, the Unix
fcntl.flock, fcntl.lockf and the deprecated posixfile module, the API is
identical across both Unix (including Linux and Mac) and Windows platforms. The
lock mechanism relies on the atomic nature of the link (on Unix) and mkdir (on
Windows) system calls.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-lockfile
%doc ACKS LICENSE MANIFEST PKG-INFO README RELEASE-NOTES doc/
%{python26_sitelib}/*

%files -n python27-lockfile
%doc ACKS LICENSE MANIFEST PKG-INFO README RELEASE-NOTES doc/
%{python27_sitelib}/*

%changelog
* Wed Feb 4 2015 Jason Green <jasg@amazon.com>
- Build for multiple pythons

* Thu Jul 21 2011 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-lockfile-0.8-3.el6

* Tue Jul 19 2011 Cristian Gafton <gafton@amazon.com>
- setup complete for package python-lockfile

* Sat Jul 10 2010 Silas Sewell <silas@sewell.ch> - 0.8-3
- Add egg back for EPEL 6

* Wed Nov 18 2009 Silas Sewell <silas@sewell.ch> - 0.8-2
- Remove egg for EPEL

* Thu Jul 23 2009 Silas Sewell <silas@sewell.ch> - 0.8-1
- Initial build
